table.insert(GrindStatus.modules,function()
	local L = AceLibrary("AceLocale-2.2"):new("GrindStatusNorthrendFaction")
	L:RegisterTranslations("enUS", function() return {
		["Explorers' League"] = true,
		["The Frostborn"] = true,
		["The Silver Covenant"] = true,
		["Valiance Expedition"] = true,
		["The Hand of Vengeance"] = true,
		["The Taunka"] = true,
		["Warsong Offensive"] = true,
		["Northrend"] = true,
	} end)
	L:RegisterTranslations("frFR", function() return {
		["Explorers' League"] = "Ligue des explorateurs",
		["The Frostborn"] = "Les Givre-nés",
		["The Silver Covenant"] = "Le Concordat argente",
		["Valiance Expedition"] = "Expedition de la Bravoure",
		["The Hand of Vengeance"] = "La Main de la vengeance",
		["The Taunka"] = "Les Taunkas",
		["Warsong Offensive"] = "Offensive chanteguerre",
		["Northrend"] = "Norfendre",
	} end)
	L:RegisterTranslations("deDE", function() return {
		["Explorers' League"] = "Forscherliga",
		["The Frostborn"] = "Die Frosterben",
		["The Silver Covenant"] = "Der Silberbund",
		["Valiance Expedition"] = "Expedition Valianz",
		["The Hand of Vengeance"] = "Die Hand der Rache",
		["The Taunka"] = "Die Taunka",
		["Warsong Offensive"] = "Kriegshymnenoffensive",
		["Northrend"] = "Nordend",
	} end)
	L:RegisterTranslations("zhTW", function() return {
		["Explorers' League"] = "Explorers' League", -- to Localize
		["The Frostborn"] = "The Frostborn", -- to Localize
		["The Silver Covenant"] = "The Silver Covenant", -- to Localize
		["Valiance Expedition"] = "Valiance Expedition", -- to Localize
		["The Hand of Vengeance"] = "The Hand of Vengeance", -- to Localize
		["The Taunka"] = "The Taunka", -- to Localize
		["Warsong Offensive"] = "Warsong Offensive", -- to Localize
		["Northrend"] = "Northrend", -- to Localize
	} end)	
	local catorder = 12
	GrindStatus:RegisterGroupOrder(L["Northrend"], catorder)
	GrindStatus:InitPlugin(L["Explorers' League"], catorder, "Alliance",{
		["english"] = "Explorers' League",
		["startrepvalue"] = 0,
		["endrepvalue"] = 42000,
		["quests"] = 0,
	})
	GrindStatus:InitPlugin(L["The Frostborn"], catorder, "Alliance",{
		["english"] = "The Frostborn",
		["startrepvalue"] = 0,
		["endrepvalue"] = 42000,
		["quests"] = 0,
	})
	GrindStatus:InitPlugin(L["The Silver Covenant"], catorder, "Alliance",{
		["english"] = "The Silver Covenant",
		["startrepvalue"] = 0,
		["endrepvalue"] = 42000,
		["quests"] = 0,
	})
	GrindStatus:InitPlugin(L["Valiance Expedition"], catorder, "Alliance",{
		["english"] = "Valiance Expedition",
		["startrepvalue"] = 0,
		["endrepvalue"] = 42000,
		["quests"] = 0,
	})
	GrindStatus:InitPlugin(L["The Hand of Vengeance"], catorder, "Horde",{
		["english"] = "The Hand of Vengeance",
		["startrepvalue"] = 0,
		["endrepvalue"] = 42000,
		["quests"] = 0,
	})
	GrindStatus:InitPlugin(L["The Taunka"], catorder, "Horde",{
		["english"] = "The Taunka",
		["startrepvalue"] = 0,
		["endrepvalue"] = 42000,
		["quests"] = 0,
	})
	GrindStatus:InitPlugin(L["Warsong Offensive"], catorder, "Horde",{
		["english"] = "Warsong Offensive",
		["startrepvalue"] = 0,
		["endrepvalue"] = 42000,
		["quests"] = 0,
	})
	L = nil
end)